<script setup lang="ts">
import type { Product } from '@/types/Products';


const props = defineProps<{
  product: Product
}>()

const emit = defineEmits<{
    selectedProduct: [Product] // selectedProduct(Product p)
}>()

const selected = function() {
  console.log('ProductCard: ' + props.product)
  emit('selectedProduct', props.product)
}

</script>
<template>
  <div>
    <v-sheet width="150" height="170" elevation="3" @click="selected">
      <v-img :src = "`./img/menu/product${product.id}.png`" height="120"></v-img>
      <div style="text-align: center;">{{ product.name }} {{ product.price }} Baht</div>
    </v-sheet>
  </div>
</template>